<h1>Template-Editor</h1>
<p>Hier hast du die Möglichkeit, die Standard-Templates von GSALES zu bearbeiten und als eigenes Template zu speichern.<br />
Anschließend kannst du deine neuen Templates in der Konfiguration auswählen und verwenden.</p>
<p>Standard-Templates können nicht überschrieben werden.</p>
<br class="clear">


<div class="stdFormInline">
	<h2>Standard-Templates</h2>
	<p><strong>E-Mails (smarty):</strong></p>
	<ul class="templateList">
		<li><a href="index.php?p=editor&amp;file=def_mail.tpl">def_mail.tpl</a></li>
		<li><a href="index.php?p=editor&amp;file=dunning.infomail.tpl">dunning.infomail.tpl</a></li>
		<li><a href="index.php?p=editor&amp;file=dunning.level_1.tpl">dunning.level_1.tpl</a></li>
		<li><a href="index.php?p=editor&amp;file=dunning.level_2.tpl">dunning.level_2.tpl</a></li>
		<li><a href="index.php?p=editor&amp;file=dunning.level_3.tpl">dunning.level_3.tpl</a></li>
		<li><a href="index.php?p=editor&amp;file=frontendpass.tpl">frontendpass.tpl</a></li>
	</ul>

	<p><strong>PDF-Dokumente (php):</strong></p>
	<ul class="templateList">
		<li><a href="index.php?p=editor&amp;file=tpl.def_dunning.php">tpl.def_dunning.php</a></li>
		<li><a href="index.php?p=editor&amp;file=tpl.def_invoice.php">tpl.def_invoice.php</a></li>
		<li><a href="index.php?p=editor&amp;file=tpl.def_invoice_legacy.php">tpl.def_invoice_legacy.php</a></li>
		<li><a href="index.php?p=editor&amp;file=tpl.def_letter.php">tpl.def_letter.php</a></li>
	</ul>

	<p><strong>PDF-Dokumente (smarty):</strong></p>
	<ul class="templateList">
		<li><a href="index.php?p=editor&amp;file=tpl.def_invoice.tpl">tpl.def_invoice.tpl</a></li>
	</ul>


</div>

<div class="stdFormInline">

	<h2>Deine Templates</h2>

	{if !empty($userTemplatesSmarty)}
		<p><strong>E-Mails (smarty):</strong></p>
		<ul class="templateList">
			{foreach key=tplkey item=tpl from=$userTemplatesSmarty}
				<li><a href="index.php?p=editor&amp;file={$tpl}">{$tpl}</a></li>
			{/foreach}
		</ul>
	{/if}

	{if !empty($userTemplatesPHP)}
		<p><strong>PDF-Dokumente (php):</strong></p>
		<ul class="templateList">
			{foreach key=phpkey item=phpt from=$userTemplatesPHP}
				<li><a href="index.php?p=editor&amp;file={$phpt}">{$phpt}</a></li>
			{/foreach}
		</ul>
	{/if}

	{if !empty($userTemplatesPDFSmarty)}
		<p><strong>PDF-Dokumente (smarty):</strong></p>
		<ul class="templateList">
			{foreach key=phpkey item=phpt from=$userTemplatesPDFSmarty}
				<li><a href="index.php?p=editor&amp;file={$phpt}">{$phpt}</a></li>
			{/foreach}
		</ul>
	{/if}


	<p><em>Öffne und speichere ein Standard-Template im Editor als Basis für ein eigenes Template.</em></p>


</div>

<br class="clear">



{if $enableCodeMirror == 1}

	<div id="filecontent" class="hide">{$cmValue}</div>

	{if $readonly}
		<h3 class="templateEditorHeader">{$filename}</h3>
	{else}
        <h3 class="templateEditorHeader">{$filePrefix} <input type="text" id="customfilename" value="{$fileCustomName}" class="span3"> {$fileSuffix}</h3>
	{/if}

	<div id="code" name="code" class="templateEditor" data-mode="{$cmMode}"></div>
    <input type="submit" id="code-save" name="test" class="btn btn-info" value="Template speichern" data-filename="{$filename}">

{else}

	{if $filename != ''}<p class="warning">Datei wurde nicht gefunden.</p>{/if}

{/if}